#ifndef _NZG_PROTO
#define _NZG_PROTO 1

/* src/nzg_allocate.c */
void *msgAllocate(msgSpace *space, int pool, int taille, int option);
/* src/nzg_list.c */
/* src/nzg_msgList.c */
msgSpaceListElem *addBegining(msgSpaceListElem *list, int ownerpid);
/* src/nzg_pool.c */
int msgPoolCreate(msgSpaceId spaceId, int poolIdx, int buffNb, int buffSize);
/* src/nzg_spaces.c */
msgSpace *msgSpaceCreate(msgSpaceId spaceId, int queueNb, int poolNb, msgPool *poolInfos);
msgSpace *msgSpaceOpen(msgSpaceId spaceId);
int msgSpaceDelete(msgSpaceId spaceId);
/* src/nzg_buffer.c */
int msgBufferGetFreeIndex(msgPoolData * poolDataTab, int poolIndex);
int msgBufferAttachProc(msgPoolData * poolDataTab, int poolIndex, int bufferIndex,void *addr);
int msgBufferInfoTabIdIntern(
	msgBufferInfoTabId dest,
	msgSpaceId src, 
	int num);
int msgPoolDelete(
		msgSpaceId spaceId,
		int poolIdx
	);
#endif
